What are the system requirements for Transparent Language Complete Edition?

System Requirements Windows: Windows XP Service Pack 2, Windows Vista or higher. iPod® or MP3 Players for Byki Pod files: iPod video or nano required to display pictures and play sounds. Other MP3 players can play sounds, but may not support picture display. Note: For the best learning experience, we recommend a minimum screen resolution…

Is Transparent Language Complete Edition Chinese/Japanese compatible with Windows 8?

Transparent Language Complete Edition for Chinese/Japanese is not compatible with Windows 8. This problem specifically effects Transparent Language Systems (BYKI still works). The Input Method for Asian language scripts has changed in a way that renders it incompatible with this software on Windows 8.